#include <vector>
#include <algorithm>
#include <boost/utility.hpp>

int main()
{
  std::vector<int*> col;
//  std::for_each( col.begin(), col.end(), 
//                 &boost::checked_delete<int> );
  void (*f)(int *) = &boost::checked_delete<int>;
  std::for_each( col.begin(), col.end(), f);
  return 0;
}
